### Constructor

# Gtk ListStore new

#### Declaration [src]

    GtkListStore*
    gtk_list_store_new (
      int n_columns,
      ...
    )

#### Description [src]

Creates a new list store as with `n_columns` columns each of the types passed in. Note that only types derived from standard GObject fundamental types are supported.

As an example, `gtk_list_store_new (3, G_TYPE_INT, G_TYPE_STRING, GDK_TYPE_TEXTURE);` will create a new `GtkListStore` with three columns, of type int, string and `GdkTexture`, respectively.

#### Parameters

`n_columns` | `int`
| Number of columns in the list store.
`...` | ``
| All `GType` types for the columns, from first to last.

#### Return value

Returns: | `GtkListStore`
| A new `GtkListStore`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.